Bug 1301260 - Review Request: python-responses - An utility library for mocking out the requests Python library
Review Request: python-responses - An utility library for mocking out the req...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Alessandro Locati
Fedora Extras Quality Assurance
:
Depends On: 1297704
Blocks: 1301268
  Show dependency treegraph
 
Reported: 2016-01-23 03:41 EST by Germano Massullo
Modified: 2016-02-16 22:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 22:57:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fale: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2016-01-23 03:41:32 EST
Spec URL: https://fedorapeople.org/~germano/package_reviews/python-responses/review_request/python-responses.spec

SRPM URL (GPG signed): https://fedorapeople.org/~germano/package_reviews/python-responses/review_request/python-responses-0.5.0-1.fc23.src.rpm

SRPM URL (EsteID signed): https://fedorapeople.org/~germano/package_reviews/python-responses/review_request/python-responses-0.5.0-1.fc23.src.bdoc

Description: An utility library for mocking out the requests Python library

Fedora Account System Username: germano
GPG key id: A903090E
EsteID (DIGI-ID E-RESIDENT) serial number 38601270070
Comment 1 Germano Massullo 2016-01-23 04:06:11 EST
Ops, I have forgotten to add macros for EPEL7 support, I will add them as soon as possible
Comment 2 Germano Massullo 2016-01-23 05:09:59 EST
(In reply to Germano Massullo from comment #1)
> Ops, I have forgotten to add macros for EPEL7 support, I will add them as
> soon as possible

Done. Updated https://fedorapeople.org/~germano/package_reviews/python-responses/review_request/python-responses.spec
Comment 3 Fabio Alessandro Locati 2016-01-25 09:00:20 EST
Hello :)

So:

0. Please release every time the src.rpm too.
1. The Source0 is broken. Is there a reason not to use the pypi url?
2. Please use 'ASL 2.0' for License
3. It does not compile since it depends on python-libcnml, it is lacking pytest and probably even more dependencies
Comment 4 Adam Williamson 2016-01-25 11:08:30 EST
Fabio: FWIW I've been finding lately that pypi sources are often missing license files and tests which are present in github...
Comment 5 Fabio Alessandro Locati 2016-01-25 12:47:38 EST
(In reply to awilliam@redhat.com from comment #4)
> Fabio: FWIW I've been finding lately that pypi sources are often missing
> license files and tests which are present in github...

True, and usually those things can be fixed just asking the maintainer and/or opening a pull request
Comment 6 Upstream Release Monitoring 2016-01-25 17:25:33 EST
germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12682373
Comment 7 Germano Massullo 2016-01-25 17:30:31 EST
(In reply to Fabio Alessandro Locati from comment #3)
> Hello :)
> 
> So:
> 
> 0. Please release every time the src.rpm too.
> 1. The Source0 is broken. Is there a reason not to use the pypi url?
> 2. Please use 'ASL 2.0' for License
> 3. It does not compile since it depends on python-libcnml, it is lacking
> pytest and probably even more dependencies

==== STATUS AND COMMENTS ====
1. FIXED
2. FIXED
3. FIXED

Spec URL: https://fedorapeople.org/~germano/package_reviews/python-responses/review_request/python-responses.spec

SRPM URL: https://germano.fedorapeople.org/package_reviews/python-responses/review_request/python-responses-0.5.1-1.fc23.src.rpm

Test file is missing in pypi release, but I filled a bugreport ( https://github.com/getsentry/responses/issues/98 )
Comment 8 Upstream Release Monitoring 2016-01-25 18:46:48 EST
germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12682787
Comment 9 Germano Massullo 2016-01-25 18:49:44 EST
(In reply to Upstream Release Monitoring from comment #8)
> germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23
> failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12682787

obviously it fails due missing packages (see depends on)
Comment 10 Germano Massullo 2016-01-27 05:24:17 EST
libcnml does not block responses and viceversa
Comment 12 Upstream Release Monitoring 2016-01-31 10:49:07 EST
germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12759128
Comment 13 Germano Massullo 2016-01-31 10:55:58 EST
(In reply to Upstream Release Monitoring from comment #12)
> germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23
> failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12759128

Build fails due python-cookies still not available in stable repositories.
See "depends on" bugreport number id.
Comment 14 Adam Williamson 2016-02-01 03:37:39 EST
If it's at least been built in Koji, you can request a buildroot override for it, but you should then still wait for it to go stable before submitting an update for python-responses (or add python-responses to the same update).
Comment 15 Upstream Release Monitoring 2016-02-02 17:42:41 EST
germano's scratch build of python-responses-0.5.1-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12792870
Comment 16 Fabio Alessandro Locati 2016-02-05 03:38:24 EST
Good work Germano, the package is APPROVED :)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/fale/Downloads/python-
     responses/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.4/site-
     packages/__pycache__(python3-decorator, python3-six, python3-libs,
     python3-augeas, langtable-python3, python3-setuptools, python3-ntplib)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-responses , python3-responses
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-responses-0.5.1-1.fc23.noarch.rpm
          python3-responses-0.5.1-1.fc23.noarch.rpm
          python-responses-0.5.1-1.fc23.src.rpm
python2-responses.noarch: W: spelling-error Summary(en_US) django -> fandango
python3-responses.noarch: W: spelling-error Summary(en_US) django -> fandango
python-responses.src: W: spelling-error Summary(en_US) django -> fandango
python-responses.src:74: W: macro-in-comment %check
python-responses.src:75: W: macro-in-comment %{__python2}
python-responses.src:77: W: macro-in-comment %{__python3}
python-responses.src:78: W: macro-in-comment %endif
python-responses.src:95: W: macro-in-%changelog %check
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python2-responses.noarch: W: invalid-url URL: https://github.com/getsentry/responses <urlopen error [Errno -3] Temporary failure in name resolution>
python3-responses.noarch: W: invalid-url URL: https://github.com/getsentry/responses <urlopen error [Errno -3] Temporary failure in name resolution>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-responses (rpmlib, GLIBC filtered):
    python(abi)
    python2-cookies
    python2-requests
    python2-six

python3-responses (rpmlib, GLIBC filtered):
    python(abi)
    python3-cookies
    python3-requests
    python3-six



Provides
--------
python2-responses:
    python-responses
    python2-responses

python3-responses:
    python3-responses



Source checksums
----------------
https://pypi.python.org/packages/source/r/responses/responses-0.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 8cad64c45959a651ceaf0023484bd26180c927fea64a81e63d334ddf6377ecea
  CHECKSUM(SHA256) upstream package : 8cad64c45959a651ceaf0023484bd26180c927fea64a81e63d334ddf6377ecea
Comment 17 Gwyn Ciesla 2016-02-05 11:21:50 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-responses
Comment 18 Fedora Update System 2016-02-06 02:58:31 EST
python-responses-0.5.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b637810fa5
Comment 19 Fedora Update System 2016-02-07 02:22:38 EST
python-responses-0.5.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b637810fa5
Comment 20 Fedora Update System 2016-02-16 22:57:16 EST
python-responses-0.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.